---
title: CSS Custom Properties for Cascading Variables
slug: Web/CSS/CSS_Variables
tags:
  - CSS
  - CSS Variables
  - Guide
  - Overview
  - Reference
---
<div>{{cssref}}</div>

<p><strong>CSS Custom Properties for Cascading Variables</strong> is a <a href="/en-US/docs/Web/CSS">CSS</a> module that allows for the creation of custom properties that can be used over and over.</p>

<h2 id="CSS_properties">CSS properties</h2>

<div class="index">
<ul>
 <li>{{cssxref("--*")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Variables")}}</td>
   <td>{{Spec2("CSS3 Variables")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
